<div class="spell-browser">
    <div class="control-area">
        <div class="sortcontainer" id="tagfilter">
            <input class="" name="textFilter" type="text" value="" data-dtype="String" placeholder="{{localize "PF2E.BrowserSearchPlaceholder"}}" title="{{localize "PF2E.BrowserSearchTitle"}}"/>
            <div class="hint" style="display:none;">
                {{{localize "PF2E.BestiaryBrowserSearchHint"}}}
            </div>
            <dl id="sorter">
                <dt>{{localize "PF2E.BrowserSortyByLabel"}}:</dt>
                <dd><select class="null" name="sortorder">
                    <option value="true" selected>{{localize "PF2E.BrowserSortyByNameLabel"}}</option>
                    <option value="false">{{localize "PF2E.BrowserSortyByLevelLabel"}}</option>
                </select></dd>
            </dl>
        </div>
        <div class="filtercontainer" id="actionTraitfilter">
            <h3>{{localize "PF2E.BrowserFilterSizes"}}</h3>
            <dl>
                {{#each actorSize as |size key|}}
                <dt><input type="checkbox" name="actorSize-{{key}}"></dt><dd>{{size}}</dd>
                {{/each}}
            </dl>
        </div>
        <div class="filtercontainer" id="actionTraitfilter">
            <h3>{{localize "PF2E.BrowserFilterAlignments"}}</h3>
            <dl style="display:none;">
                {{#each alignment as |type key|}}
                <dt><input type="checkbox" name="alignment-{{key}}"></dt><dd>{{type}}</dd>
                {{/each}}
            </dl>
        </div>
        <div class="filtercontainer" id="actionTraitfilter">
            <h3>{{localize "PF2E.BrowserFilterTraits"}}</h3>
            <dl style="display:none;">
                {{#each traits as |trait key|}}
                <dt><input type="checkbox" name="traits-{{trait}}"></dt><dd>{{trait}}</dd>
                {{/each}}
            </dl>
        </div>
        <div class="filtercontainer" id="actionTraitfilter">
            <h3>{{localize "PF2E.BrowserFilterSource"}}</h3>
            <dl style="display:none;">
                {{#each source as |type key|}}
                <dt><input type="checkbox" name="source-{{type}}"></dt><dd>{{type}}</dd>
                {{/each}}
            </dl>
        </div>
    </div>
    <ul>
        {{#each bestiaryActors as |actor id|}}
        <li class="spell flexrow draggable"
          data-entry-compendium="{{actor.compendium}}"
          data-entry-id="{{actor._id}}" data-actor-category="bestiaryActors">
            <div class="spell-image">
                <img class="" src="{{actor.img}}" title="{{actor.name}}" width="32" height="32"/>
            </div>
            <div class="spell-name">
                <span class="actor-edit" ><a>{{actor.name}}</a></span>
            </div>
            <div class="spell-tags">
                <span title="NPC level">{{actor.data.details.level.value}}</span>
            </div>
            {{#each actor.filters as |attrib id|}}
                <input type="hidden" name="{{id}}" value="{{attrib}}">
            {{/each}}
            <!-- <input type="hidden" name="skills"
                                 value="{{actor.data.skill_requirement.skill.skill}}">
            <input type="hidden" name="proficiencies"
                                 value="{{actor.data.skill_requirement.skill.rank}}"> -->
        </li>
        {{/each}}
    </ul>

</div>
